<div class="container">
    <div class="row">
        <div class="col-md-6">
            <h3 class="text-center my-4"><u>Search for Weather:</u></h3>
            <form [formGroup]="weatherSearchForm" (ngSubmit)="sendToAPIXU(weatherSearchForm.value)">
                <div class="form-group">
                    <input class="form-control" type="text" id="weatherLocation" aria-describedby="weatherLocation" placeholder="Your city..." formControlName="location" />
                </div>
                <div class="text-center">
                    <button type="submit" class="btn btn-info btn-md mt-2">
                    Search weather</button>
                </div>
            </form>
        </div>
        <div class="col-md-6">
            <h3 class="text-center my-4"><u>Weather Details:</u></h3>
            <p class="text-center">Temperature (°F): {{this.weatherData?.main.temp}}</p>
            <p class="text-center">Location: {{this.weatherData?.name}} {{this.weatherData?.sys.country}}</p>
            <p class="text-center">Weather description: {{this.weatherData?.weather[0].description}}</p>

        </div>
    </div>
</div>

<!-- All values of a reactive form are stored in an object — where the key is the name of the value you passed into the formBuilder.group({}). -->